%define name gnome-screensaver
%define version 2.28.3
%define release %mkrel 1

Summary: GNOME Screensaver
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Source1: ia-ora-slideshow.desktop
Source2: ia-ora-blue-slideshow.desktop
Source3: ia-ora-orange-slideshow.desktop
Source4: ia-ora-gray-slideshow.desktop
Source5: ia-ora-free-slideshow.desktop
Source6: ia-ora-one-slideshow.desktop
# (fc) 2.15.7-2mdv change default settings
Patch4: gnome-screensaver-2.15.7-default.patch
# (vdanen) drops setgid calls to work with tcb auth
Patch9: gnome-screensaver-2.22.2-drop_setgid.patch

License: GPLv2+
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgnome-menu-devel
BuildRequires: libgnomekbd-devel
BuildRequires: gnome-desktop-devel >= 2.23.2
BuildRequires: libnotify-devel
BuildRequires: libxmu-devel
BuildRequires: libexif-devel
BuildRequires: libmesagl-devel
BuildRequires: libxscrnsaver-devel
BuildRequires: libxtst-devel
BuildRequires: libxxf86misc-devel
BuildRequires: libxxf86vm-devel
BuildRequires: dbus-devel >= 0.30
BuildRequires: pam-devel
BuildRequires: gdm
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: desktop-file-utils
Requires: libxslt-proc
Requires: dbus-x11
Suggests: mandriva-theme-screensaver

%description
gnome-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.
It is designed to support:

        * the ability to lock down configuration settings
        * translation into other languages
        * user switching

%prep
%setup -q
%patch4 -p1 -b .default
#%patch9 -p0 -b .drop_setgid

%build
%configure2_5x --disable-more-warnings --with-xscreensaverdir=%{_datadir}/xscreensaver/config --with-xscreensaverhackdir=%{_libdir}/xscreensaver
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

sed -ie 's@XSL=${DIST_BIN}/xscreensaver-config.xsl@XSL=%{_datadir}/gnome-screensaver/xscreensaver-config.xsl@' \
        data/migrate-xscreensaver-config.sh
sed -ie 's@b=`basename ${FILE} .xml`@b=xscreensaver-`basename ${FILE} .xml`@' \
        data/migrate-xscreensaver-config.sh

install -m755 data/migrate-xscreensaver-config.sh $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver
install -m644 data/xscreensaver-config.xsl $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver

install -m644 %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/applications/screensavers

sed -i -e 's@Exec=slideshow@Exec=%{_libdir}/gnome-screensaver/slideshow@g' $RPM_BUILD_ROOT%{_datadir}/applications/screensavers/ia-ora*.desktop

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang %name

%define schemas %name

# unset default screensaver
%triggerpostun -- gnome-screensaver < 2.20.0-2mdv
  %{_bindir}/gconftool-2 --config-source=xml::/etc/gconf/gconf.xml.local-defaults/ --direct --unset /apps/gnome-screensaver/themes > /dev/null


%if %mdkversion < 200900
%post
%update_menus
%post_install_gconf_schemas %{schemas}
%endif

%triggerin -- xscreensaver-base xscreensaver-gl xscreensaver-extrusion xscreensaver-matrix
(  cd %{_datadir}/applications/screensavers ; \
  for f in %{_datadir}/xscreensaver/config/*.xml; do
    %{_datadir}/gnome-screensaver/migrate-xscreensaver-config.sh $f > /dev/null 2>&1
  done)

%triggerun -- xscreensaver-base
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-base | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-gl
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-gl | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-extrusion
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-extrusion | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)

%triggerun -- xscreensaver-matrix
[ "$2" = 0 ] || exit 0
(cd %{_datadir}/applications/screensavers; \
for f in $(rpm -ql xscreensaver-matrix | grep '%{_datadir}/xscreensaver/config/'); do
  rm -f xscreensaver-$(basename $f .xml).desktop
done)



%preun
%preun_uninstall_gconf_schemas %{schemas}

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS
%config(noreplace) %_sysconfdir/xdg/menus/gnome-screensavers.menu
%config(noreplace) %_sysconfdir/pam.d/gnome-screensaver
%_sysconfdir/gconf/schemas/%name.schemas
%_sysconfdir/xdg/autostart/%name.desktop
%_bindir/*
%_mandir/man1/gnome-screensaver*
%_libexecdir/gnome-screensaver-dialog
%_libexecdir/gnome-screensaver-gl-helper
%_libdir/%name
%_datadir/desktop-directories/gnome-screensaver.directory
%_datadir/applications/gnome-screensaver-preferences.desktop
%_datadir/applications/screensavers
%_datadir/gnome-background-properties/cosmos.xml
%_datadir/backgrounds/cosmos
%_datadir/pixmaps/*.svg
%_datadir/%name/
%_libdir/pkgconfig/*.pc


%changelog
* Fri Feb 12 2010 Götz Waschk <waschk@mandriva.org> 2.28.3-1mdv2010.0
+ Revision: 505148
- new version (fixes CVE-2010-0422)
- new version (fix for CVE-2010-0414)
- new version, fixes bug #57309)

* Wed Sep 23 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447693
- new version
- update file list

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-2mdv2010.0
+ Revision: 390582
- rebuild for new libgnomekbd

* Mon Jun 15 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 386115
- new version
- update file list

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366920
- update to new version 2.26.1

* Thu Mar 19 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 357662
- new version
- drop patch 8

* Thu Jan 01 2009 Götz Waschk <waschk@mandriva.org> 2.25.2-2mdv2009.1
+ Revision: 323210
- rebuild for new gnome-desktop

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 315725
- update to new version 2.25.2

* Wed Dec 03 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 309630
- fix build deps
- new version
- drop patch 10

* Thu Nov 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2.24.1-2mdv2009.1
+ Revision: 307261
- Patch10: hardcode path for screensaver helpers (Mdv bug #44321)

* Thu Nov 13 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 302892
- update to new version 2.24.1

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-2mdv2009.1
+ Revision: 300178
- rebuild for new  gnome-desktop

* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287704
- new version

* Fri Aug 29 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 277244
- new version
- drop patch 0

* Mon Aug 25 2008 Vincent Danen <vdanen@mandriva.com> 2.23.3-2mdv2009.0
+ Revision: 275967
- disable the drop_setgid patch for now

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2009.0
+ Revision: 242689
- new version

* Fri Jul 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.2-2mdv2009.0
+ Revision: 231568
- new version
- patch to make it build
- drop patch 7
- update license
- bump deps

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 30 2008 Vincent Danen <vdanen@mandriva.com> 2.22.2-2mdv2009.0
+ Revision: 213355
- add patch to drop the setgid() call in order to make it work with pam_tcb

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 192485
- new version

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.1-1mdv2008.1
+ Revision: 191694
- Release 2.22.1 (security fix, for CVE-2008-0887)

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 185025
- new version

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.6-2mdv2008.1
+ Revision: 160712
- rebuild for new libxklavier

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.6-1mdv2008.1
+ Revision: 160632
- new version
- drop patches 5,6
- update file list

* Tue Jan 22 2008 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-5mdv2008.1
+ Revision: 156529
- Patch8 (Fedora): add support for gnome-keyring PAM integration

* Sat Jan 12 2008 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-4mdv2008.1
+ Revision: 149810
- Patch7 (John Bryant): save gamma ramp before modifying it (GNOME bug #342850)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not package big ChangeLog
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 20 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 91446
- Patch5: disable profiling
- Patch6: really order slideshow when requested
- Merge all ia ora screensaver into one, with black blackground
- No longer configure screensaver according to META_CLASS

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89452
- new version

* Fri Sep 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.7-3mdv2008.0
+ Revision: 81774
- Fix .desktop to not appear in main menu
- Add new slideshow parameter for Ia Ora One
- Add trigger to handle default settings when upgrading distribution

* Tue Aug 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.7-2mdv2008.0
+ Revision: 72567
- Fix Ia Ora screensavers to use the new upstream no-strech slideshow feature

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.7-1mdv2008.0
+ Revision: 72477
- new version
- drop patch 5

* Wed Aug 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2.19.6-1mdv2008.0
+ Revision: 57747
- Release 2.19.6
- Remove patches 1 (no needed), 2, 3 (merged upstream)
- Patch5: allow to disable image maximisation on slideshow
- Add source1, 2, 3, 4 : split Ia Ora screensavers according to colors
- Remove old menu file

* Fri Jun 08 2007 Götz Waschk <waschk@mandriva.org> 2.19.1.1-3mdv2008.0
+ Revision: 37256
- fix buildrequires

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.1.1-2mdv2008.0
+ Revision: 36168
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32373
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14377
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142051
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.8-1mdv2007.1
+ Revision: 126158
- new version
- drop patch 5

* Fri Feb 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.7-2mdv2007.1
+ Revision: 121728
-Patch5 (SVN): fix locking

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.7-1mdv2007.1
+ Revision: 120224
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.6-1mdv2007.1
+ Revision: 111993
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106280
- new version
- rediff patch 3

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 100781
- new version
- rediff patch 2

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 90932
- bump release
- fix buildrequires
- new version

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-4mdv2007.1
+ Revision: 88297
- buildrequires
- bot rebuild
- bot rebuild
- new version
- depend on libgnomekbd

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 86432
- bot rebuild
- new version
- unpack patches
- Import gnome-screensaver

* Tue Oct 10 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.1
- fix buildrequires
- New version 2.16.1

* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Fix xdg menu
- run remove trigger only when uninstalling xscreensaver packages

* Wed Sep 06 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- drop patch 5
- New release 2.16.0

* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.7-3mdv2007.0
- Patch5: various cvs fixes
- Move back xdg file to /etc/xdg, fix Mdv bug #25172

* Tue Aug 29 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.7-2mdv2007.0
- Patch2: allow to disable image randomization
- Patch3: allow solid background for images
- add mandriva screensaver
- Patch4: change default settings (don't lock, mandriva default screensaver)

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.7-1mdv2007.0
- New release 2.15.7

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.6-1mdv2007.0
- New release 2.15.6

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.5-1mdv2007.0
- New release 2.15.5

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- update file list
- New release 2.15.4

* Thu Jul 06 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-4mdv2007.0
- Add dependency on dbus-x11 (Mdv bug #23527)

* Sat Jun 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-3mdv2007.0
- Switch to XDG menu
- use new macros
- add support for xscreensaver hacks (Fedora)
- Patch2: add xscreensaver .desktop location

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-2mdv2007.0
- fix buildrequires

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1
- New release 2.15.3

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Tue Apr 11 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdk
- New release 2.14.1

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Tue Feb 28 2006 Gtz Waschk <waschk@mandriva.org> 2.13.92-1mdk
- update file list
- New release 2.13.92

* Wed Feb 15 2006 Götz Waschk <waschk@mandriva.org> 2.13.91-1mdk
- New release 2.13.91

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 2.13.90-1mdk
- New release 2.13.90

* Mon Jan 30 2006 Olivier Blin <oblin@mandriva.com> 2.13.5-3mdk
- drop Patch0 (pam_stack), we don't have an obsolete pam anymore

* Thu Jan 26 2006 Gtz Waschk <waschk@mandriva.org> 2.13.5-2mdk
- rebuild for new dbus

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdk
- New release 2.13.5

* Thu Jan 05 2006 Götz Waschk <waschk@mandriva.org> 0.0.24-1mdk
- New release 0.0.24

* Thu Dec 29 2005 Gtz Waschk <waschk@mandriva.org> 0.0.23-2mdk
- fix buildrequires

* Mon Dec 19 2005 Gtz Waschk <waschk@mandriva.org> 0.0.23-1mdk
- update file list
- New release 0.0.23

* Wed Dec 14 2005 Götz Waschk <waschk@mandriva.org> 0.0.22-1mdk
- New release 0.0.22

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 0.0.21-1mdk
- New release 0.0.21
- use mkrel

* Tue Nov 22 2005 Frederic Crozat <fcrozat@mandriva.com> 0.0.20-2mdk
- Patch1: enable user switching by default
- remove gdm dependency
- move menu file to the right location

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 0.0.20-1mdk
- New release 0.0.20

* Tue Nov 15 2005 Götz Waschk <waschk@mandriva.org> 0.0.19-1mdk
- New release 0.0.19

* Thu Nov 03 2005 Götz Waschk <waschk@mandriva.org> 0.0.18-1mdk
- New release 0.0.18

* Thu Oct 27 2005 Gtz Waschk <waschk@mandriva.org> 0.0.17-3mdk
- fix pam configuration (bug #19456)

* Wed Oct 26 2005 Gtz Waschk <waschk@mandriva.org> 0.0.17-2mdk
- fix buildrequires

* Wed Oct 26 2005 Gtz Waschk <waschk@mandriva.org> 0.0.17-1mdk
- New release 0.0.17
- update file list
- bump deps

* Thu Jun 09 2005 Götz Waschk <waschk@mandriva.org> 0.0.6-0.20050608.1mdk
- initial package

